[Kickoff] Add a subtle separator line between the header and the content view
ClosedPublic

Authored by ngraham on Sep 1 2018, 2:35 PM.

Details

Summary

This is another idea that shook out of D15011: add subtle lines to separate the main content area from both the tab bar and the header, giving Kickoff some much-needed structure while still not overwhelming the user with lines and frames and chrome.

Test Plan

Tested with Kickoff on a panel on all four different sides of the screen, and with Breeze light and Breeze dark themes.

Examples with the default panel:


Example with the panel on the right side:

Diff Detail

Repository
R119 Plasma Desktop
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ngraham created this revision.Sep 1 2018, 2:35 PM
Restricted Application added a project: Plasma. · View Herald TranscriptSep 1 2018, 2:35 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
ngraham requested review of this revision.Sep 1 2018, 2:35 PM
ngraham edited the test plan for this revision. (Show Details)Sep 1 2018, 2:37 PM
hein added a subscriber: hein.Sep 4 2018, 10:30 AM

Code looks fine.

I have no opinion on the design change.

Personally I like it more without the separators but except of that the top-margin of the first element seems to be only 6px while the margin to the underneath elements is about 12px. I think we should use the same margin here to have a consistent look.

abetts added a subscriber: abetts.Sep 4 2018, 2:40 PM

Personally I like it more without the separators but except of that the top-margin of the first element seems to be only 6px while the margin to the underneath elements is about 12px. I think we should use the same margin here to have a consistent look.

+1

ngraham updated this revision to Diff 41788.Sep 16 2018, 10:45 PM

Adjust top margin on Favorites view to make sure that the top item doesn't touch the new line

ngraham edited the test plan for this revision. (Show Details)Sep 16 2018, 10:46 PM

@mmustac, I believe I've addressed your concern now.

ngraham updated this revision to Diff 44134.Wed, Oct 24, 2:35 AM
  • Rebase on master
  • Do everything in this patch
  • Draw the lines in a prettier way
ngraham edited the summary of this revision. (Show Details)Wed, Oct 24, 2:37 AM
ngraham edited the test plan for this revision. (Show Details)

Sorry it's taken me so long to get this right. Things have been crazy busy lately! This is ready for review.

Does the blue line from the selected content touch the divider line you are prosing? If it isn't, I would suggest no gap between those two lines.

No, the blue highlight doesn't touch, just like people requested. It looks just fine now. If we want to make the blue highlight touch the bounds of its whole view, that would be a significant design change that would need to be made elsewhere (if indeed it would be desirable).

ngraham edited the test plan for this revision. (Show Details)Wed, Oct 24, 7:32 PM

Ping! Any Plasma or VDG concerns, or shall I land this?

No, the blue highlight doesn't touch, just like people requested. It looks just fine now. If we want to make the blue highlight touch the bounds of its whole view, that would be a significant design change that would need to be made elsewhere (if indeed it would be desirable).

It's interesting how we all came up with opposite thoughts here. My main issue with the blue line not touching the vertical bar is that it will produce a visual effect where the user will perceive there are 3 lines instead of two. It is not the end of the world but it seemed big enough to mention. Maybe we go with what we have and then see if anyone mentions the issue.

The thing is, it just doesn't look good if the selection highlight touches the line on top, but not on the sides:

If we want to change the selection highlight to always touch the bounds of the content view on all sides, that's a much larger change that will affect a ton of things in Plasma and can't be done just here. It would have to be a deliberate decision made everywhere at once. I'm just trying to follow the existing style here without making any dramatic design changes.

This revision was not accepted when it landed; it landed in state Needs Review.Wed, Oct 31, 7:04 PM
This revision was automatically updated to reflect the committed changes.